Bug 861091 - pam_sss report System Error on wrong password
Summary: pam_sss report System Error on wrong password
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-27 13:40 UTC by Dmitri Pal
Modified: 2020-05-02 16:59 UTC (History)
4 users (show)

Fixed In Version: sssd-1.9.1-1.el6
Doc Type: Bug Fix
Doc Text:
No Documentation Needed
Clone Of:
Environment:
Last Closed: 2013-02-21 09:37:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 2557 None None None 2020-05-02 16:59:09 UTC
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Dmitri Pal 2012-09-27 13:40:28 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1515

krb5_child transforms Kerberos return codes into PAM return codes using a switch statement. That statement never matched the error code for wrong password and returned with generic System Error.

While the access is correctly denied, this may result in annoying false positives and perhaps even issues with the rest of the PAM stack.

Reported by Joschi Brauchle in the [https://bugzilla.novell.com/show_bug.cgi?GoAheadAndLogIn=1&id=779246 Novel bugzilla] and on the [https://lists.fedorahosted.org/pipermail/sssd-users/2012-September/000166.html sssd-users-list]

Comment 2 Amith 2012-12-17 08:35:04 UTC
Verified the BZ on SSSD version: sssd-1.9.2-41.el6.x86_64

Reproduced the bug on older build and automated the steps to verify the presence of System error in log file. Review the beaker automation output below:

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: BZ-861091 - pam_sss report System Error on wrong password
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running '> /var/log/secure'
:: [   LOG    ] :: Sleeping for 5 seconds
:: [   PASS   ] :: Running 'restart_clearing_cache'
:: [   PASS   ] :: Authentication failed, as expected
:: [   PASS   ] :: Running 'auth_failure cc_user WrongPass'
:: [   PASS   ] :: Running 'sleep 5'
:: [   PASS   ] :: File '/var/log/secure' should not contain 'System error'
:: [   PASS   ] :: Running 'chmod 755 /tmp/a1m2deluser.sh'
:: [   PASS   ] :: Running '/tmp/a1m2deluser.sh'
:: [   PASS   ] :: Running 'ldapmodify -x -D "cn=Directory Manager" -w Secret123 -H ldap://hubcap.lab.eng.pnq.redhat.com -f /tmp/deluser.ldif'
:: [   PASS   ] :: Running 'rm -f /tmp/tempuser.ldif /tmp/addkrbuser.sh /tmp/a1m2deluser.sh /tmp/deluser.ldif'
:: [   LOG    ] :: Duration: 1m 12s
:: [   LOG    ] :: Assertions: 13 good, 0 bad
:: [   PASS   ] :: RESULT: BZ-861091 - pam_sss report System Error on wrong password

Comment 3 errata-xmlrpc 2013-02-21 09:37:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.